
#cs

Twinwindowsizer

A quick hack of Middlesizer v0.1

If portrait, then Win+; puts window on top half of screen, and Win+' puts window on bottom half of screen.  If landscape, then Win+; puts window on left half of screen, and Win+' puts window on right half of screen.

#ce

Global $screenwidth
Global $oldposition
Global $screenheight
Global $winwidth
Global $winheight
Global $topleftx
Global $toplefty
Global $activewindowtitle
Global $j = 1

If @DesktopWidth < @DesktopHeight Then ; portrait
MsgBox (0, "Twinwindowsizer v.01, portrait mode", "Twinwindow will operate in portrait mode" & @CRLF & @CRLF & "Win + ; = put active window on top of screen" & @CRLF & "Win + ' = put active window on bottom of screen" & @CRLF & "Win + ENTER = peel active window away from screen sides", 0)
HotKeySet("#;", "upperside")
HotKeySet("#'", "bottomside")
HotKeySet("#{ENTER}", "peelawayport")
ElseIf @DesktopWidth > @DesktopHeight Then ; landscape
MsgBox (0, "Twinwindowsizer v.01, landscape mode", "Twinwindow will operate in landscape mode" & @CRLF & @CRLF & "Win + ; = put active window on left of screen" & @CRLF & "Win + ' = put active window on right of screen" & @CRLF & "Win + ENTER = peel active window away from screen sides", 0)
HotKeySet("#;", "leftside")
HotKeySet("#'", "rightside")
HotKeySet("#{ENTER}", "peelawayland")
EndIf

While 1
    Sleep(100)
WEnd

; =================================================

Func upperside()

Global $activewindowtitleupper = WinGetTitle("[active]")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $screenwidth * 1.0
$winheight = $screenheight * 0.5

$topleftx = 0
$toplefty = 0
WinMove ($activewindowtitleupper, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc

Func bottomside()

Global $activewindowtitlebottom = WinGetTitle("[active]")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $screenwidth * 1.0
$winheight = $screenheight * 0.5

$topleftx = 0 
$toplefty = $screenheight * 0.5
WinMove ($activewindowtitlebottom, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc

Func peelawayport()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$winwidth = $screenwidth * 0.9
$winheight = $oldposition[3]

$topleftx = $oldposition[0] + ($screenwidth * 0.05)
$toplefty = $oldposition[1]
WinMove ($activewindowtitlebottom, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc

; =================================================

Func leftside()

Global $activewindowtitleupper = WinGetTitle("[active]")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $screenwidth * 0.5
$winheight = $screenheight * 1.0

$topleftx = 0
$toplefty = 0
WinMove ($activewindowtitleupper, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc

Func rightside()

Global $activewindowtitlebottom = WinGetTitle("[active]")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $screenwidth * 0.5
$winheight = $screenheight * 1.0

$topleftx = $screenwidth * 0.5 
$toplefty = 0
WinMove ($activewindowtitlebottom, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc

Func peelawayland()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenheight = @DesktopHeight
$winwidth = $oldposition[2]
$winheight = $screenheight * 0.9

$topleftx = $oldposition[0]
$toplefty = $oldposition[1] + ($screenheight * 0.05)
WinMove ($activewindowtitlebottom, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

EndFunc


