
Global $screenwidth
Global $oldposition
Global $screenheight
Global $winwidth
Global $winheight
Global $topleftx
Global $toplefty
Global $activewindowtitle
Global $j = 1
Global $k = 1
Global $windowstaskbar
Global $windowstaskbarheight

If @DesktopWidth < @DesktopHeight Then ; portrait
MsgBox (0, "Middlesizer v.01, portrait mode", "Middlesizer will operate in portrait mode" & @CRLF & @CRLF & "Win + / = maximise active window's width" & @CRLF & "Win + . = maximise active window's width to 90%" & @CRLF & "Win + , repeatedly = centre active window vertically, and resize to roughly" & @CRLF & " 90%, 75% and 60% the screen height", 0)
HotKeySet("#,", "tallcycle")
HotKeySet("#.", "horcentre")
HotKeySet("#/", "hormax")
ElseIf @DesktopWidth > @DesktopHeight Then ; landscape
MsgBox (0, "Middlesizer v.01, landscape mode", "Middlesizer will operate in landscape mode" & @CRLF & @CRLF & "Win + , repeatedly = centre active window horizontally," & @CRLF & " and resize to roughly 90%, 75% and 60% the screen width" & @CRLF & "Win + . repeatedly = centre active window vertically," & @CRLF & " and resize to roughly 90%, 75% and 60% of screen height" & @CRLF & "Win + /, repeatedly = move active window to one of four" & @CRLF & " positions around the screen (retaining the window size)", 0)
HotKeySet("#,", "widecycle")
HotKeySet("#.", "tallcycle")
HotKeySet("#/", "roundcycle")
EndIf

While 1
    Sleep(100)
WEnd

; =================================================

Func widecycle()

; $windowstaskbar = WinGetPos("[CLASS:Shell_TrayWnd]")
; $windowstaskbarheight = $windowstaskbar[3]

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight ; - $windowstaskbarheight
$winheight = $oldposition[3]

If $j = 1 Then
$winwidth = $screenwidth * 0.9
ElseIf $j = 2 Then
$winwidth = $screenwidth * 0.75
ElseIf $j = 3 Then
$winwidth = $screenwidth * 0.6
EndIf

$toplefty = $oldposition[1]
$topleftx = ($screenwidth / 2) - ($winwidth / 2)
WinMove ($activewindowtitle, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

If $j = 3 Then
$j = 1
Else
$j = $j + 1
EndIf

EndFunc


; =================================================


Func tallcycle()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $oldposition[2]

If $j = 1 Then
$winheight = $screenheight * 0.9
ElseIf $j = 2 Then
$winheight = $screenheight * 0.75
ElseIf $j = 3 Then
$winheight = $screenheight * 0.6
EndIf

$topleftx = $oldposition[0]
$toplefty = ($screenheight / 2) - ($winheight / 2)
WinMove ($activewindowtitle, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

If $j = 3 Then
$j = 1
Else
$j = $j + 1
EndIf

EndFunc

Func horcentre()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$winwidth = $screenwidth * 0.9

$topleftx = $screenwidth * 0.05
$toplefty = $oldposition[1]
WinMove ($activewindowtitle, "", $topleftx, $toplefty, $winwidth, $oldposition[3], 1)

EndFunc

Func hormax()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$winwidth = $screenwidth

$topleftx = 0
$toplefty = $oldposition[1]
WinMove ($activewindowtitle, "", $topleftx, $toplefty, $winwidth, $oldposition[3], 1)

EndFunc

; ================================================

Func roundcycle()

$activewindowtitle = WinGetTitle("[active]")
$oldposition = WinGetPos ($activewindowtitle, "")

$screenwidth = @DesktopWidth
$screenheight = @DesktopHeight
$winwidth = $oldposition[2]
$winheight = $oldposition[3]

If $k = 1 Then
$toplefty = $screenheight * 0.05
$topleftx = $screenwidth * 0.05
ElseIf $k = 2 Then
$toplefty = $screenheight * 0.05
$topleftx = $screenwidth * 0.35
ElseIf $k = 3 Then
$toplefty = $screenheight * 0.35
$topleftx = $screenwidth * 0.35
ElseIf $k = 4 Then
$toplefty = $screenheight * 0.35
$topleftx = $screenwidth * 0.05
EndIf

WinMove ($activewindowtitle, "", $topleftx, $toplefty, $winwidth, $winheight, 1)

If $k = 4 Then
$k = 1
Else
$k = $k + 1
EndIf

EndFunc
